package com.ho.flow.service;

import com.ho.flow.vo.req.workorderplan.WorkOrderPlanAddReqVO;
import com.ho.flow.vo.req.workorderplan.WorkOrderPlanReqVO;
import com.ho.flow.vo.resp.workorderplan.WorkOrderPlanRespVO;

import java.util.List;

/**
 * @Description 工单计划
 * Author yule
 * Date 2023/3/16 15:53
 */
public interface WorkOrderPlanService {

    void add(WorkOrderPlanAddReqVO vo);

    void delete(WorkOrderPlanReqVO vo);

    void update(WorkOrderPlanAddReqVO vo);

    WorkOrderPlanRespVO getOne(WorkOrderPlanReqVO vo);

    List<WorkOrderPlanRespVO> getAll(WorkOrderPlanReqVO vo);
}
